ros-melodic-checkerboard-detector (1.2.10-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 27 Mar 2019 00:00:00 -0000

ros-melodic-checkerboard-detector (1.2.9-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 23 Feb 2019 00:00:00 -0000

ros-melodic-checkerboard-detector (1.2.8-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 22 Feb 2019 00:00:00 -0000

ros-melodic-checkerboard-detector (1.2.7-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 14 Feb 2019 00:00:00 -0000

ros-melodic-checkerboard-detector (1.2.6-0stretch) stretch; urgency=high

  * Fix Cmake indent (#2345 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2345>)
  * Fix warnings: gencpp -> generate_messsage_cpp (#2296 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2296>)
  * Contributors: Kentaro Wada, Yuto Uchimi

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 02 Nov 2018 00:00:00 -0000

ros-melodic-checkerboard-detector (1.2.5-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 09 Apr 2018 00:00:00 -0000

ros-melodic-checkerboard-detector (1.2.4-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 12 Jan 2018 00:00:00 -0000

ros-melodic-checkerboard-detector (1.2.3-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 23 Nov 2017 00:00:00 -0000

ros-melodic-checkerboard-detector (1.2.2-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 23 Jul 2017 00:00:00 -0000

ros-melodic-checkerboard-detector (1.2.1-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 15 Jul 2017 00:00:00 -0000

ros-melodic-checkerboard-detector (1.2.0-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 15 Jul 2017 00:00:00 -0000

ros-melodic-checkerboard-detector (1.1.3-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 07 Jul 2017 00:00:00 -0000

ros-melodic-checkerboard-detector (1.1.2-0stretch) stretch; urgency=high

  * [checkerboard_detector] update launch and document
  * [checkerboard_detector] add parameters, axis_size and circle_size
  * [checkerboard_detector] add queue_size and publish_queue_size
  * [checkerboard_detector] fix board_type
  * Generate README by script
  * Contributors: Kentaro Wada, YoheiKakiuchi

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 16 Jun 2017 00:00:00 -0000

ros-melodic-checkerboard-detector (1.1.1-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 04 Mar 2017 00:00:00 -0000

ros-melodic-checkerboard-detector (1.1.0-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 09 Feb 2017 00:00:00 -0000

ros-melodic-checkerboard-detector (1.0.4-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 09 Feb 2017 00:00:00 -0000

ros-melodic-checkerboard-detector (1.0.3-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 08 Feb 2017 00:00:00 -0000

ros-melodic-checkerboard-detector (1.0.2-0stretch) stretch; urgency=high

  * warn if topic seems to be rectified (#1937 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/1937>)
  * Contributors: Yu Ohara

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 12 Jan 2017 00:00:00 -0000

ros-melodic-checkerboard-detector (1.0.1-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 13 Dec 2016 00:00:00 -0000

ros-melodic-checkerboard-detector (1.0.0-0stretch) stretch; urgency=high

  * [checkerboard_detector] warn if error is big (#1939 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/1939>)
  * Contributors: Yu Ohara

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 12 Dec 2016 00:00:00 -0000

ros-melodic-checkerboard-detector (0.3.29-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 30 Oct 2016 00:00:00 -0000

ros-melodic-checkerboard-detector (0.3.28-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 29 Oct 2016 00:00:00 -0000

ros-melodic-checkerboard-detector (0.3.27-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 29 Oct 2016 00:00:00 -0000

ros-melodic-checkerboard-detector (0.3.26-0stretch) stretch; urgency=high

  * [checkerboard_detector/CMakeLists.txt] add dependency to cfg for checkerboard_detector executable. (#1920 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/1920>)
  * [checkerboard_detector] enable to select option for cv::findChessboardCorners from dynamic reconfigure (#1893 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/1893>)
    * [checkerboard_detector] rename variable name: mutexcalib -> mutex.
    * [checkerboard_detector] pass parameter from dynamic reconfigure to findChessboardCorners.
    * [checkerboard_detector] add cfg file and add dependency to dynamic reconfigure.
  * Contributors: Masaki Murooka

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 27 Oct 2016 00:00:00 -0000

ros-melodic-checkerboard-detector (0.3.25-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 16 Sep 2016 00:00:00 -0000

ros-melodic-checkerboard-detector (0.3.24-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 15 Sep 2016 00:00:00 -0000

ros-melodic-checkerboard-detector (0.3.23-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 14 Sep 2016 00:00:00 -0000

ros-melodic-checkerboard-detector (0.3.22-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 13 Sep 2016 00:00:00 -0000

ros-melodic-checkerboard-detector (0.3.21-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 15 Apr 2016 00:00:00 -0000

ros-melodic-checkerboard-detector (0.3.20-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 14 Apr 2016 00:00:00 -0000

ros-melodic-checkerboard-detector (0.3.19-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 22 Mar 2016 00:00:00 -0000

ros-melodic-checkerboard-detector (0.3.18-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 21 Mar 2016 00:00:00 -0000

ros-melodic-checkerboard-detector (0.3.17-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 20 Mar 2016 00:00:00 -0000

ros-melodic-checkerboard-detector (0.3.16-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 11 Feb 2016 00:00:00 -0000

ros-melodic-checkerboard-detector (0.3.15-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 09 Feb 2016 00:00:00 -0000

ros-melodic-checkerboard-detector (0.3.14-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 04 Feb 2016 00:00:00 -0000

ros-melodic-checkerboard-detector (0.3.13-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 19 Dec 2015 00:00:00 -0000

ros-melodic-checkerboard-detector (0.3.12-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 19 Dec 2015 00:00:00 -0000

ros-melodic-checkerboard-detector (0.3.11-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 18 Dec 2015 00:00:00 -0000

ros-melodic-checkerboard-detector (0.3.10-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 17 Dec 2015 00:00:00 -0000

ros-melodic-checkerboard-detector (0.3.9-0stretch) stretch; urgency=high

  * [checkerboard_detector] Rename doc soft link
  * Contributors: Kentaro Wada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 14 Dec 2015 00:00:00 -0000

ros-melodic-checkerboard-detector (0.3.8-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 08 Dec 2015 00:00:00 -0000

ros-melodic-checkerboard-detector (0.3.7-0stretch) stretch; urgency=high

  * [checkerboard_detector] Add soft link to doc
  * [checkerboard_detector] Use resizable debug window
  * [checkerboard_detector] Remove build_depend to dynamic_tf_publisher
  * [checkerboard_detector] Add launch for murooka board and update document
  * Contributors: Kentaro Wada, Ryohei Ueda

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 19 Nov 2015 00:00:00 -0000

ros-melodic-checkerboard-detector (0.3.6-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 11 Sep 2015 00:00:00 -0000

ros-melodic-checkerboard-detector (0.3.5-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 09 Sep 2015 00:00:00 -0000

ros-melodic-checkerboard-detector (0.3.4-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 07 Sep 2015 00:00:00 -0000

ros-melodic-checkerboard-detector (0.3.3-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 06 Sep 2015 00:00:00 -0000

ros-melodic-checkerboard-detector (0.3.2-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 05 Sep 2015 00:00:00 -0000

ros-melodic-checkerboard-detector (0.3.1-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 04 Sep 2015 00:00:00 -0000

ros-melodic-checkerboard-detector (0.3.0-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 04 Sep 2015 00:00:00 -0000

ros-melodic-checkerboard-detector (0.2.18-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 04 Sep 2015 00:00:00 -0000

ros-melodic-checkerboard-detector (0.2.17-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 21 Aug 2015 00:00:00 -0000

ros-melodic-checkerboard-detector (0.2.16-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 19 Aug 2015 00:00:00 -0000

ros-melodic-checkerboard-detector (0.2.15-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 18 Aug 2015 00:00:00 -0000

ros-melodic-checkerboard-detector (0.2.14-0stretch) stretch; urgency=high

  * CMakeLists.txt: depends on cv_bridge, not opencv checkerboard_detector
  * src/checkerboard_calibration.cpp: use cv.hpp instead of cv.h
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 13 Aug 2015 00:00:00 -0000

ros-melodic-checkerboard-detector (0.2.13-0stretch) stretch; urgency=high

  * [checkerboard_detector] Add message_throttle parameter
  * [checkerboard_detector] Description in package.xml valid html.
  * Contributors: Isaac IY Saito, Ryohei Ueda

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 11 Jun 2015 00:00:00 -0000

ros-melodic-checkerboard-detector (0.2.12-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 04 May 2015 00:00:00 -0000

ros-melodic-checkerboard-detector (0.2.11-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 13 Apr 2015 00:00:00 -0000

ros-melodic-checkerboard-detector (0.2.10-0stretch) stretch; urgency=high

  * [checkerboard_detector/capture.launch] remove bags in launch
  * Contributors: Yu Ohara

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 09 Apr 2015 00:00:00 -0000

ros-melodic-checkerboard-detector (0.2.9-0stretch) stretch; urgency=high

  * 0.2.8
  * Update Changelog
  * Contributors: Ryohei Ueda

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 29 Mar 2015 00:00:00 -0000

ros-melodic-checkerboard-detector (0.2.8-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 29 Mar 2015 00:00:00 -0000

ros-melodic-checkerboard-detector (0.2.7-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 26 Mar 2015 00:00:00 -0000

ros-melodic-checkerboard-detector (0.2.6-0stretch) stretch; urgency=high

  * [checkerboard_detector] Fill D of camera parameter by zero if ~use_P is true
  * Contributors: Ryohei Ueda

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 25 Mar 2015 00:00:00 -0000

ros-melodic-checkerboard-detector (0.2.5-0stretch) stretch; urgency=high

  * [checkerboard_detector] add ~use_P to use P instead of K as intrinsic
    parameter for illegal camera info such as multisense
  * Contributors: Ryohei Ueda

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 17 Mar 2015 00:00:00 -0000

ros-melodic-checkerboard-detector (0.2.4-0stretch) stretch; urgency=high

  * Fix license: WillowGarage -> JSK Lab
  * Contributors: Ryohei Ueda

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 08 Mar 2015 00:00:00 -0000

ros-melodic-checkerboard-detector (0.2.3-0stretch) stretch; urgency=high

  * Remove rosbuild files
  * Contributors: Ryohei Ueda

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 02 Feb 2015 00:00:00 -0000

ros-melodic-checkerboard-detector (0.2.2-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 30 Jan 2015 00:00:00 -0000

ros-melodic-checkerboard-detector (0.2.1-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 30 Jan 2015 00:00:00 -0000

ros-melodic-checkerboard-detector (0.2.0-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 29 Jan 2015 00:00:00 -0000

ros-melodic-checkerboard-detector (0.1.34-0stretch) stretch; urgency=high

  * [jsk_perception, checkerboard_detector] Remove dependency to jsk_pcl_ros
  * Contributors: Ryohei Ueda

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 29 Jan 2015 00:00:00 -0000

ros-melodic-checkerboard-detector (0.1.33-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 24 Jan 2015 00:00:00 -0000

ros-melodic-checkerboard-detector (0.1.32-0stretch) stretch; urgency=high

  * [jsk_pcl_ros, checkerboard_detector] Fix offset from checker board
  * Contributors: Ryohei Ueda

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 12 Jan 2015 00:00:00 -0000

ros-melodic-checkerboard-detector (0.1.31-0stretch) stretch; urgency=high

  * [checkerboard_detector] Fix compilation warning of
    objectdetection_transform_echo about tf exception
  * [checkerboard_detector] Force to ubscribe topic if ~display is True
  * [checkerboard_detector] Add modeline for emacs to keep coding style
  * something have changed in updatream (maybe cv_bridge), added image_geometry as depends

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 08 Jan 2015 00:00:00 -0000

ros-melodic-checkerboard-detector (0.1.30-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 24 Dec 2014 00:00:00 -0000

ros-melodic-checkerboard-detector (0.1.29-0stretch) stretch; urgency=high

  * Move multisense specific lines from capture.launch to capture_multisense_training_data.launch
  * Added new nodelet to capture training data of stereo camera to
    jsk_pcl_ros and update launch files to capture training data of multisense
  * Add launch file to capture training data with two-checker-boarded table
  * Add launch file for capture board: publishing center of the capture
    board calculated from two checker board
  * Hotfix for mulformed multisense camera_info. Their K and R matrix and
    distirtion parameter is not set
  * Add script to estimate position of the camera using two checker boards
  * Stabilize color inverted asymetrical circle detection
    1) use cv::bitwise_not to invert color
    2) use cv::CALIB_CB_CLUSTERING when detecting circlesGrid
  * Use OpenCV C++ API in checkerboard_detector
  * Support color inversion to distinguish white-black circle pattern
    and black-white circle pattern
  * Support ciecle and acircle pattern
  * Contributors: Ryohei Ueda

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 24 Dec 2014 00:00:00 -0000

ros-melodic-checkerboard-detector (0.1.28-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 17 Dec 2014 00:00:00 -0000

ros-melodic-checkerboard-detector (0.1.27-0stretch) stretch; urgency=high

  * forget to install objectdetection_tf_publisher.py
  * Merge pull request #457 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/457> from YoheiKakiuchi/update_objectdetection_tf
    update objectdetection_tf_publisher for publishing simple tf
  * update objectdetection_tf_publisher for publishing simple tf
  * add / to service name
  * Contributors: Yohei Kakiuchi, Kei Okada, Yuto Inagaki

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 09 Dec 2014 00:00:00 -0000

ros-melodic-checkerboard-detector (0.1.26-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 23 Nov 2014 00:00:00 -0000

ros-melodic-checkerboard-detector (0.1.25-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 21 Nov 2014 00:00:00 -0000

ros-melodic-checkerboard-detector (0.1.24-0stretch) stretch; urgency=high

  * Update depth calibration program.
    1. Fix checkerboard_detector to publish correct corner point
    2. Calibrate depth_image rather than PointCloud
    3. Use matplotlib animation to visualize graph in depth_error_calibration.py
  * Publish checker board region as jsk_pcl_ros/PolygonArray
  * Publish geometry_msgs/PoseStamped from checkerboard_detector
  * Contributors: Ryohei Ueda

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 15 Nov 2014 00:00:00 -0000

ros-melodic-checkerboard-detector (0.1.23-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 09 Oct 2014 00:00:00 -0000

ros-melodic-checkerboard-detector (0.1.22-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 24 Sep 2014 00:00:00 -0000

ros-melodic-checkerboard-detector (0.1.21-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 20 Sep 2014 00:00:00 -0000

ros-melodic-checkerboard-detector (0.1.20-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 17 Sep 2014 00:00:00 -0000

ros-melodic-checkerboard-detector (0.1.19-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 15 Sep 2014 00:00:00 -0000

ros-melodic-checkerboard-detector (0.1.18-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 13 Sep 2014 00:00:00 -0000

ros-melodic-checkerboard-detector (0.1.17-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 07 Sep 2014 00:00:00 -0000

ros-melodic-checkerboard-detector (0.1.16-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 04 Sep 2014 00:00:00 -0000

ros-melodic-checkerboard-detector (0.1.14-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 01 Aug 2014 00:00:00 -0000

ros-melodic-checkerboard-detector (0.1.13-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 29 Jul 2014 00:00:00 -0000

ros-melodic-checkerboard-detector (0.1.12-0stretch) stretch; urgency=high

  * add two nodelets (DelayPointCloud and DepthImageError) to jsk_pcl_ros
    and publish u/v coordinates of the checkerboard from checkerboard_detector.
    * DepthImageError is just a skelton yet.
    * DelayPointCloud re-publishes pointcloud with specified delay time.
    * publish u/v coordinates from checkerboard_detector.
    * frame_id broadcasted from objectdetection_tf_publisher.py is configurable
  * Contributors: Ryohei Ueda

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 24 Jul 2014 00:00:00 -0000

ros-melodic-checkerboard-detector (0.1.11-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 08 Jul 2014 00:00:00 -0000

ros-melodic-checkerboard-detector (0.1.10-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 07 Jul 2014 00:00:00 -0000

ros-melodic-checkerboard-detector (0.1.9-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 01 Jul 2014 00:00:00 -0000

ros-melodic-checkerboard-detector (0.1.8-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 29 Jun 2014 00:00:00 -0000

ros-melodic-checkerboard-detector (0.1.7-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 31 May 2014 00:00:00 -0000

ros-melodic-checkerboard-detector (0.1.6-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 30 May 2014 00:00:00 -0000

ros-melodic-checkerboard-detector (0.1.5-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 29 May 2014 00:00:00 -0000

ros-melodic-checkerboard-detector (0.1.4-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 25 Apr 2014 00:00:00 -0000

ros-melodic-checkerboard-detector (0.1.3-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 12 Apr 2014 00:00:00 -0000

ros-melodic-checkerboard-detector (0.1.2-0stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 11 Apr 2014 00:00:00 -0000

ros-melodic-checkerboard-detector (0.1.1-0stretch) stretch; urgency=high

  * install programs
  * fix depend package -> rosdep name
  * adding rosconsole to its dependency
  * add example : update tf position everytime he receves objectdetection msg
  * update tf position everytime he receves objectdetection msg
  * update objectdetection_tf_publisher by using tf msg directly
  * update objectdetection_tf_publisher.py
  * add python program for translating the result of checkerboard_detector to tf
  * add_dependences to posedetection_msgs_gencpp
  * use USE_ROSBUILD for catkin/rosbuild environment
  * use ROS_Distributions instead of ROS_DISTRO for electric
  * comment out : add catkin.cmake
  * add catkin.cmake
  * fixed the name bug
  * forget to fix checkerboard_calibration [#154 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/154>]
  * fix to compile with cv_bridge/cv_bridge, [#154 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/154>]
  * enable to set display flag for cvNamedWindow
  * add checkerboard_detector_single.launch for single checkerboard detection
  * change: If there is no subscriber, node stop subscribing image / camera_info topics (shutdown subscriber)
  * fix deperecated message asscessor see http://ros.org/wiki/fuerte/Migration#error:_XXX_has_no_member_named_.27set_YYY_size.27_.28or_.27get_YYY_size.27.29
  * use rosdep opencv2 and pkg-config, as described in the wiki http://www.ros.org/wiki/opencv2
  * use rosdep opencv2 and pkg-config, as described in the wiki http://www.ros.org/wiki/opencv2
  * add maxboard param, use when you know how many checkerboards in the environment
  * add code for detecting subpix position using geometry of detected points,this code came from checkerboard_pose
  * moved jsk_vision to jsk_visioncommon
  * moved vision packages to jsk_vision
  * moved posedetection_msgs, sift processing, and other packages to jsk_common and jsk_perception
  * Contributors: nozawa, kazuto, Kei Okada, youhei, rosen, Ryohei Ueda

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 10 Apr 2014 00:00:00 -0000


